# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "graphics"
    self.control_values["Description"] = "ImageMagick is a command-line image processing tool. This package of ImageMagick have no X support, and has been successfully tested on PNG and JPEG images."
    self.cross_gcc_version = "3"
    self.dependencies.append("libpng")
    self.dependencies.append("libtiff")
    self.dependencies.append("libxml2")
    
  def configure_for_target(self):
    ConfigureMakeMakeInstallBuilder.configure_for_target(self, "--with-perl=no --with-magick-plus-plus=no --with-x=no --with-rsvg=no --with-tiff=yes --with-png=yes --with-jpeg=yes --with-xml=yes --disable-largefile --enable-shared --enable-static=no")
    
  def is_devel_file(self, file):
    if file.endswith(".la") and (not file.endswith("libMagick.la")) and (not file.endswith("libWand.la")): return 0
    if file.endswith("ChangeLog") or file.endswith("NEWS") or file.endswith("LICENSE"): return 1
    return ConfigureMakeMakeInstallBuilder.is_devel_file(self, file)
  
