# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, re

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.package_name = "libbzip2"
    
    target_env3["PATH"] = "/opt/cross/arm/3.4.5-xscale-fpa/hack_bin/:" + target_env3["PATH"]
    
    
  def configure_for_target(self):
    s = open("./Makefile").read()
    #s = s.replace("CC=gcc", "CC=arm-linux-gcc")
    #s = s.replace("AR=ar", "AR=arm-linux-ar")
    #s = s.replace("RANLIB=ranlib", "RANLIB=arm-linux-ranlib")
    s = re.sub(r"PREFIX=.*?\n", "PREFIX=%s\n" % target_prefix, s)
    s = s.replace("all: libbz2.a bzip2 bzip2recover test", "all: libbz2.a bzip2 bzip2recover")
    open("./Makefile", "w").write(s)
    
    s = open("./Makefile-libbz2_so").read()
    s = s.replace("CC=gcc", "CC=arm-linux-gcc")
    open("./Makefile-libbz2_so", "w").write(s)
    
  def make_for_target(self):
    ConfigureMakeMakeInstallBuilder.make_for_target(self)
    
    do_sh("make -f Makefile-libbz2_so")
    
  def make_install_for_target(self):
    ConfigureMakeMakeInstallBuilder.make_install_for_target(self)
    
    do_sh("cp ./libbz2.so.1.0.2 %s/lib" % target_prefix)
    do_sh("cp ./libbz2.so.1.0   %s/lib" % target_prefix)
