# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "qpe/settings"
    self.control_values["Description"] = "Mirror application redirects display output to CF VGA card. This is a modified version that works without crashing on SL-C1000."
    self.cross_gcc_version = "2.95"
    self.package_name = "mirror-hack"
    
  def configure_for_target(self):
    pass

  def make_for_target(self):
    do_sh("arm-linux-gcc -o ./cfxgamirror ./cfxgamirror.c")
    
  def make_install_for_target(self):
    do_sh("mkdirhier /opt/QtPalmtop/apps/Settings")
    do_sh("mkdirhier /opt/QtPalmtop/pics")
    do_sh("mkdirhier /opt/QtPalmtop/pics144")
    
    do_sh("cp ./cfxgamirror /opt/QtPalmtop/bin")
    do_sh("cp ./mirror.sh /opt/QtPalmtop/bin")
    do_sh("cp ./mirror.desktop /opt/QtPalmtop/apps/Settings/mirror.desktop")
    do_sh("cp ./projecter.png /opt/QtPalmtop/pics144/projecter.png")
    do_sh("ln -s ../pics144/projecter.png /opt/QtPalmtop/pics/projecter.png")

