# -*- coding: utf-8 -*-

# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(LocalDataBuilder):
  def __init__(self):
    LocalDataBuilder.__init__(self, "fr-config", "0.1", os.path.join(os.path.dirname(__file__), "prefix"))
    
    self.build_version += ".0"
    self.control_values["Section"] = "libs"
    self.control_values["Description"] = "Switch your Zaurus to French locale. Restart Qtopia or reboot after installing this package. Install in main memory only."
    self.nand_flash_only = 1
    
  def build_for_target(self): pass
    
  def strip_binaries(self): pass
  
  def create_scripts(self):
    if do_python("create scripts"):
      preinst  = """#!/bin/bash\n"""
      preinst += """sed -i 's/^Language.*/Language = fr/' /home/zaurus/Settings/locale.conf \n"""
      preinst += """echo "export LANG=fr ; export LANGUAGE=fr ; export LC_ALL=fr" >> /home/zaurus/.profile \n"""
      preinst += """sed -i "s/export QPEUSER=zaurus/export QPEUSER=zaurus ; export LANG=fr ; export LANGUAGE=fr ; export LC_ALL=fr/" /opt/QtPalmtop/qpe.sh \n"""
      preinst += """mkdir -p /opt/QtPalmtop/i18n/fr \n"""
      preinst += """echo "[Desktop Entry]"    > /opt/QtPalmtop/i18n/fr/.directory \n"""
      preinst += """echo "Name=French"       >> /opt/QtPalmtop/i18n/fr/.directory \n"""
      preinst += """echo "Name[fr]=Français" >> /opt/QtPalmtop/i18n/fr/.directory \n"""
      preinst += """cp /opt/QtPalmtop/i18n/en/libsl.qmid /opt/QtPalmtop/i18n/fr \n"""
      open(os.path.join(self.control_dir, "preinst"), "w").write(preinst)
      
      postrm   = """#!/bin/bash\n"""
      postrm  += """sed -i "s/^Language.*/Language = en/" /home/zaurus/Settings/locale.conf \n"""
      postrm  += """sed -i "/export LANG=fr ; export LANGUAGE=fr ; export LC_ALL=fr/d" /home/zaurus/.profile \n"""
      postrm  += """sed -i "s/export QPEUSER=zaurus ; export LANG=fr ; export LANGUAGE=fr ; export LC_ALL=fr/export QPEUSER=zaurus/" /opt/QtPalmtop/qpe.sh \n"""
      postrm  += """rm /opt/QtPalmtop/i18n/fr/.directory \n"""
      postrm  += """rm /opt/QtPalmtop/i18n/fr/libsl.qmid \n"""
      open(os.path.join(self.control_dir, "postrm"), "w").write(postrm)
