# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(LocalDataBuilder):
  def __init__(self):
    LocalDataBuilder.__init__(self, "fr-libqpe", "1.5.0", os.path.join(os.path.dirname(__file__), "prefix"))
    
    self.build_version += ".1"
    self.control_values["Section"] = "libs"
    self.control_values["Description"] = "Hacked libqpe.so.1.5.0 (manually edited with an hexadecimal editor). When the Zaurus locale is set to fr (French), it uses very small fonts. With this hacked version, it does not. However, it uses the small font for English locale, so after installing the package, you should change the current locale to fr (set Language = fr in /home/zaurus/Settings/locale.conf). Install in main memory only."
    self.nand_flash_only = 1
    
  def build_for_target(self):
    if do_python("copy data"):
      cp_tree(self.local_dir, target_prefix)
    
  def strip_binaries(self): pass
   
  def create_scripts(self):
    if do_python("create scripts"):
      open(os.path.join(self.control_dir, "preinst"), "w").write("""#!/bin/sh
rm -f /opt/QtPalmtop/lib/libqpe.so.1.5.0
""")
      open(os.path.join(self.control_dir, "postrm"), "w").write("""#!/bin/sh
ln -s /usr/QtPalmtop.rom/lib/libqpe.so.1.5.0 /opt/QtPalmtop/lib/libqpe.so.1.5.0
""")
