# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(LocalDataBuilder):
  def __init__(self):
    LocalDataBuilder.__init__(self, "fr-locales", "2.2.2", os.path.join(os.path.dirname(__file__), "prefix"))
    
    self.build_version += ".2"
    self.control_values["Section"] = "libs"
    self.control_values["Description"] = "French locales, with UTF-8 encoding and Euro currency. Install in main memory only."
    self.nand_flash_only = 1
    
  def build_for_target(self):
    if do_python("copy data"):
      cp_tree(self.local_dir, target_prefix)
    
      #ln(os.path.join(target_prefix, "lib", "locale", "fr_FR.UTF-8"), os.path.join(target_prefix, "lib", "locale", "fr_FR"))
      #ln(os.path.join(target_prefix, "lib", "locale", "fr_FR.UTF-8"), os.path.join(target_prefix, "lib", "locale", "fr"))
      ln("fr_FR.UTF-8", os.path.join(target_prefix, "lib", "locale", "fr_FR"))
      ln("fr_FR.UTF-8", os.path.join(target_prefix, "lib", "locale", "fr"))
      
  def create_scripts(self):
    if do_python("create scripts"):
      postinst  = """#!/bin/bash\n"""
      postinst += """ln -sf /opt/QtPalmtop/lib/locale /usr/lib/locale \n"""
      open(os.path.join(self.control_dir, "postinst"), "w").write(postinst)
