# -*- coding: utf-8 -*-

# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(Builder):
  def __init__(self):
    Builder.__init__(self, "", "fr-translation-addressbook", "0.1", "")
    
    self.build_version += ".0"
    self.control_values["Section"] = "libs"
    self.control_values["Description"] = """French translation for Addressbook. Backup you data first (/home/zaurus/Settings/AddressBook.conf and /home/zaurus/Applications/dtm). Just after installing, launch the addressbook and go to the "Options->Paramètrer les champs" menu, then set the field you want. Install in main memory only."""
    self.cross_gcc_version = "3"
    self.nand_flash_only = 1
    
  def build_for_target(self):
    target_envs[self.cross_gcc_version].make_current()
    
    do_sh("mkdirhier /opt/QtPalmtop/i18n/fr/")
    
    for ts in os.listdir(os.path.join(os.path.dirname(__file__), "src")):
      do_sh("lrelease %s -qm /opt/QtPalmtop/i18n/fr/%s" % (os.path.join(os.path.dirname(__file__), "src", ts), ts[:-3] + ".qm"))
      
