# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat, re

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "libs"
    self.cross_gcc_version = "3"
    self.package_name = "libgdkpixbuf"
    
  def configure_for_target(self):
    if do_python("hack configure"):
      s = open("./configure").read()
      s = s.replace("""dynworks=false""", """dynworks=true""")
      s = s.replace("""
    if test "$cross_compiling" = yes; then
  { { echo "$as_me:9145: error: cannot run test program while cross compiling" >&5
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
""", """
    if test "$cross_compiling" = disabled; then
  { { echo "$as_me:9145: error: cannot run test program while cross compiling" >&5
echo "$as_me: error: cannot run test program while cross compiling" >&2;}
""")
      open("./configure", "w").write(s)
      
    ConfigureMakeMakeInstallBuilder.configure_for_target(self, "--disable-static --x-includes=/opt/cross/arm/3.4.5-xscale-fpa/armv5tel-cacko-linux/include/ --x-libraries=/opt/cross/arm/3.4.5-xscale-fpa/armv5tel-cacko-linux/lib/")
    
    if do_python("hack libtool"):
      s = open("./libtool").read()
      s = re.sub('sys_lib_search_path_spec=".*?"'  , 'sys_lib_search_path_spec=""'  , s)
      s = re.sub('sys_lib_dlsearch_path_spec=".*?"', 'sys_lib_dlsearch_path_spec=""', s)
      open("./libtool", "w").write(s)
