# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "libs"
    self.cross_gcc_version = "3"
    
  def build(self):
    self.build_for_host()
    ConfigureMakeMakeInstallBuilder.build(self)
    
  def configure_for_host(self):
    ConfigureMakeMakeInstallBuilder.configure_for_host(self, "--disable-gtk --with-x=no --with-jasper=no --with-omni=no --with-libiconv=gnu --disable-contrib --disable-fontconfig --disable-cups")
    
  def configure_for_target(self):
    ConfigureMakeMakeInstallBuilder.configure_for_target(self, "--disable-gtk --with-x=no --with-jasper=no --with-omni=no --disable-contrib --disable-fontconfig --disable-cups")
    
    if do_python("hack makefiles"):
      #s = open("./Makefile").read()
      #s = s.replace("-O2", "-Os") # Compiling with -O2 crash the cross-compiler
      #open("./Makefile", "w").write(s)
      
      s = open("./src/gs.mak").read()
      s = s.replace("$(AUXGEN)echogs" , "../../cackompile_host/%s/obj/echogs"  % self.versioned_name)
      s = s.replace("$(AUXGEN)genarch", "../../cackompile_host/%s/obj/genarch" % self.versioned_name)
      s = s.replace("$(AUXGEN)genconf", "../../cackompile_host/%s/obj/genconf" % self.versioned_name)
      s = s.replace("$(AUXGEN)gendev" , "../../cackompile_host/%s/obj/gendev"  % self.versioned_name)
      s = s.replace("$(AUXGEN)genht"  , "../../cackompile_host/%s/obj/genht"   % self.versioned_name)
      s = s.replace("$(AUXGEN)geninit", "../../cackompile_host/%s/obj/geninit" % self.versioned_name)
      s = s.replace("$(AUXGEN)mkromfs", "../../cackompile_host/%s/obj/mkromfs" % self.versioned_name)
      open("./src/gs.mak", "w").write(s)
      
      s = open("./src/unix-aux.mak").read()
      s = s.replace("""$(MKROMFS_XE): $(GLSRC)mkromfs.c $(MKROMFS_COMMON_DEPS) $(MKROMFS_OBJS)
	$(CCAUX) $(GENOPT) $(CFLAGS_DEBUG) $(I_)$(GLSRCDIR)$(_I) $(I_)$(GLOBJ)$(_I) $(I_)$(ZSRCDIR)$(_I) $(GLSRC)mkromfs.c $(O_)$(MKROMFS_XE) $(MKROMFS_OBJS) -lm $(EXTRALIBS)""",
                    "")
      open("./src/unix-aux.mak", "w").write(s)
     
