# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(LocalDataBuilder):
  def __init__(self):
    LocalDataBuilder.__init__(self, "memory-cs-pretec", "2.4.20", os.path.join(os.path.dirname(__file__), "prefix"))
    
    self.build_version = "crosscompilation-2"
    self.control_values["Section"] = "kernel-modules"
    self.control_values["Description"] = "Hacked kernel module for Pretec CF Presenter VGA card. Enables 640x480 and 800x600 resolutions @75 Hz. This version have been recompiled for kernel 2.4.20 (used by Cacko 1.23). Install in main memory only."
    self.nand_flash_only = 1
    
  def create_ipkg_data(self):
    cd(os.path.join(os.path.dirname(__file__), "root"))
    do_sh("tar -cvzf %s/data.tar.gz ./*" % (self.ipkg_dir))
    
  def strip_binaries(self): pass
  
  def create_scripts(self):
    if do_python("create scripts"):
      postinst  = """#!/bin/bash\n"""
      postinst += """depmod -a \n"""
      open(os.path.join(self.control_dir, "postinst"), "w").write(postinst)
      
      postrm  = """#!/bin/bash\n"""
      
      #postrm += """cd /lib/modules/2.4.20/pcmcia \n"""
      #postrm += """ln -sf ../kernel/drivers/char/pcmcia/memory_cs.o memory_cs.o \n"""
      postrm += """ln -sf /lib/modules.rom/2.4.20/kernel/drivers/char/pcmcia/memory_cs.o /lib/modules/2.4.20/kernel/drivers/char/pcmcia/memory_cs.o \n"""
      
      postrm += """depmod -a \n"""
      open(os.path.join(self.control_dir, "postrm"), "w").write(postrm)
