# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "libs"
    self.package_name = "libncurses"
    
  def build(self):
    self.build_for_host()
    ConfigureMakeMakeInstallBuilder.build(self)
    
  def configure_for_target(self):
    ConfigureMakeMakeInstallBuilder.configure_for_target(self, "--with-shared")
    
    if do_python("hack Makefile and sources"):
      s = open("./ncurses/Makefile").read()
      s = s.replace("""./make_keys""",
                    os.path.join(host_tmp_dir, self.versioned_name, "ncurses", "make_keys"))
      open("./ncurses/Makefile", "w").write(s)
      
      s = open("./ncurses/tinfo/MKcaptab.awk").read()
      s = s.replace("""./make_hash""",
                    os.path.join(host_tmp_dir, self.versioned_name, "ncurses", "make_hash"))
      open("./ncurses/tinfo/MKcaptab.awk", "w").write(s)
      
      s = open("./misc/run_tic.sh").read()
      s = s.replace("""$SHLIB tic$suffix""",
                    """$SHLIB %s$suffix""" % os.path.join(host_tmp_dir, self.versioned_name, "progs", "tic"))
      open("./misc/run_tic.sh", "w").write(s)
      
  def make_install_for_target(self):
    ConfigureMakeMakeInstallBuilder.make_install_for_target(self)
    
    if do_python("symlink includes from include/ncurses/XXX.h to include/XXX.h (required for compiling some programs)"):
      include_dir         = os.path.join(target_prefix, "include")
      ncurses_include_dir = os.path.join(target_prefix, "include", "ncurses")
      os.symlink(ncurses_include_dir, os.path.join(include_dir, "curse"))
      for include in os.listdir(ncurses_include_dir):
        os.symlink(os.path.join(ncurses_include_dir, include), os.path.join(include_dir, include))
          
  def create_ipkg(self): pass # Already present in Cacko
