# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "libs"

  def configure_for_target(self):
    if do_python("hack config and Configure"):
      s = open("./config").read()
      s = s.replace("""MACHINE=`(uname -m) 2>/dev/null` || MACHINE="unknown"
""",                """MACHINE=arm
""")
      open("./config", "w").write(s)
      
      s = open("./Configure").read()
      s = s.replace("""linux-elf-arm","gcc:
""",                """linux-elf-arm","arm-linux-gcc:
""")
      open("./Configure", "w").write(s)
      
    do_sh("./config --shared --prefix=%s" % target_prefix)
    
  def create_ipkg(self): pass # Already present in Cacko
