# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat, re

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "qpe"
    self.cross_gcc_version = "2.95"
    self.package_name = "qtopia_todolist"
    
  def configure_for_target(self):
    cd("./src")
    os.environ["QPEDIR"] = "/tmp/cackompile_target/qtopia-free-1.6.2"
    
    ConfigureMakeMakeInstallBuilder.configure_for_target(self)
    
    #cd("./applications/todo")
    cd("./libraries/qtopiapim")


